### Virtual Method

# Secret Backend ensure_for_flags

#### Declaration [src]

    void
    ensure_for_flags (
      SecretBackend* self,
      SecretBackendFlags flags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`flags` | `SecretBackendFlags`
| No description available.
`cancellable` | `GCancellable`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| No description available.
`user_data` | `gpointer`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.